public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQt4/
Date: Tue, 11 Jul 2017 16:05:11 +0000 (UTC)	[thread overview]
Message-ID: <1499789105.0f4858de66263be36236969395fa1ce42c61288f.pesa@gentoo> (raw)

commit:     0f4858de66263be36236969395fa1ce42c61288f
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 11 16:04:48 2017 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Tue Jul 11 16:05:05 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f4858de

dev-python/PyQt4: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-python/PyQt4/Manifest            |   1 +
 dev-python/PyQt4/PyQt4-4.12.1.ebuild | 196 +++++++++++++++++++++++++++++++++++
 2 files changed, 197 insertions(+)

diff --git a/dev-python/PyQt4/Manifest b/dev-python/PyQt4/Manifest
index 8d805255cba..71db9f1c1aa 100644
--- a/dev-python/PyQt4/Manifest
+++ b/dev-python/PyQt4/Manifest
@@ -1 +1,2 @@
+DIST PyQt4_gpl_x11-4.12.1.tar.gz 11328010 SHA256 45d724461ae58b019b9be95076ca07e212eb73084aec9125bb254825c3a05383 SHA512 0651816ed5a371c24827e182eac5b2a2afe67928d95a09f63bd8158117aacd3e835b1efa06d4fc0c147a28038613a5bc088bd736a1348de68199da7952299af1 WHIRLPOOL 4b216d1d4598363d9107a2ed5df6537a9fd1e36c37b7fbb6ccefc22bd4fd93f96f9ac72799bb028259bc80f2216c81ccb738df978d8a48e1f37e7fc2ac146676
 DIST PyQt4_gpl_x11-4.12.tar.gz 11325395 SHA256 3c1d4b55314adb3e1132de8fc2a92eed216d37e58aceed41294dbca210ca88db SHA512 bc5ee53e6ab8d32e240bbbd85aec9ce18a398848c0ee73d874763156256f7942a4a452a26f34fe035fdbeba5fb1df060910688f8a1bc7f7f183543d3dd0fd731 WHIRLPOOL 001df301c9620873794c33f5294ae30ec9d4a32359d26a8607377fe2468dd33a313ef09e96d2491056cdc066edc5d80b4e80afa19976dfb2a7d291cd829e2791

diff --git a/dev-python/PyQt4/PyQt4-4.12.1.ebuild b/dev-python/PyQt4/PyQt4-4.12.1.ebuild
new file mode 100644
index 00000000000..a88d0967b04
--- /dev/null
+++ b/dev-python/PyQt4/PyQt4-4.12.1.ebuild
@@ -0,0 +1,196 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit multibuild python-r1 qmake-utils toolchain-funcs
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/intro"
+
+MY_P=${PN}_gpl_x11-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+	SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.xz"
+else
+	SRC_URI="mirror://sourceforge/pyqt/${MY_P}.tar.gz"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="X compat dbus debug declarative designer doc examples help kde multimedia
+	opengl phonon script scripttools sql svg testlib webkit xmlpatterns"
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	sql? ( X )
+	testlib? ( X )
+"
+
+# Minimal supported version of Qt.
+QT_PV="4.8.5:4"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	>=dev-python/sip-4.19.1:=[${PYTHON_USEDEP}]
+	>=dev-qt/qtcore-${QT_PV}
+	X? ( >=dev-qt/qtgui-${QT_PV} )
+	dbus? (
+		dev-python/dbus-python[${PYTHON_USEDEP}]
+		>=dev-qt/qtdbus-${QT_PV}
+	)
+	declarative? ( >=dev-qt/qtdeclarative-${QT_PV} )
+	designer? ( >=dev-qt/designer-${QT_PV} )
+	help? ( >=dev-qt/qthelp-${QT_PV} )
+	multimedia? ( >=dev-qt/qtmultimedia-${QT_PV} )
+	opengl? ( >=dev-qt/qtopengl-${QT_PV} )
+	phonon? (
+		kde? ( >=media-libs/phonon-4.7[qt4] )
+		!kde? ( || ( >=dev-qt/qtphonon-${QT_PV} >=media-libs/phonon-4.7[qt4] ) )
+	)
+	script? ( >=dev-qt/qtscript-${QT_PV} )
+	scripttools? ( >=dev-qt/qtgui-${QT_PV} )
+	sql? ( >=dev-qt/qtsql-${QT_PV} )
+	svg? ( >=dev-qt/qtsvg-${QT_PV} )
+	testlib? ( >=dev-qt/qttest-${QT_PV} )
+	webkit? ( >=dev-qt/qtwebkit-${QT_PV} )
+	xmlpatterns? ( >=dev-qt/qtxmlpatterns-${QT_PV} )
+"
+DEPEND="${RDEPEND}
+	dbus? ( virtual/pkgconfig )
+"
+
+S=${WORKDIR}/${MY_P}
+
+DOCS=( "${S}"/{ChangeLog,NEWS,THANKS} )
+PATCHES=(
+	# Allow building against KDE's phonon (bug 525354)
+	"${FILESDIR}/${PN}-4.11.2-phonon.patch"
+)
+
+src_prepare() {
+	# Support qreal on arm architecture (bug 322349)
+	use arm && PATCHES+=("${FILESDIR}/${PN}-4.7.3-qreal_float_support.patch")
+
+	default
+}
+
+pyqt_run() {
+	echo "$@"
+	"${PYTHON}" "$@"
+}
+
+pyqt_use_enable() {
+	use "$1" || return
+
+	echo --enable=${2:-Qt$(tr 'a-z' 'A-Z' <<< ${1:0:1})${1:1}}
+}
+
+src_configure() {
+	configuration() {
+		local myconf=(
+			$(usex debug '--debug --trace' '')
+			--verbose
+			--confirm-license
+			--qmake="$(qt4_get_bindir)"/qmake
+			--bindir="${EPREFIX}/usr/bin"
+			--destdir="$(python_get_sitedir)"
+			--qsci-api
+			--enable=QtCore
+			--enable=QtNetwork
+			--enable=QtXml
+			$(pyqt_use_enable X QtGui)
+			$(pyqt_use_enable dbus QtDBus)
+			$(pyqt_use_enable declarative)
+			$(pyqt_use_enable designer)
+			$(usex designer '' --no-designer-plugin)
+			$(pyqt_use_enable help)
+			$(pyqt_use_enable multimedia)
+			$(pyqt_use_enable opengl QtOpenGL)
+			$(pyqt_use_enable phonon phonon)
+			$(pyqt_use_enable script)
+			$(pyqt_use_enable scripttools QtScriptTools)
+			$(pyqt_use_enable sql)
+			$(pyqt_use_enable svg)
+			$(pyqt_use_enable testlib QtTest)
+			$(pyqt_use_enable webkit QtWebKit)
+			$(pyqt_use_enable xmlpatterns QtXmlPatterns)
+		)
+
+		if use compat; then
+			local compat_build_dir=${BUILD_DIR%/}-compat
+			cp -Rp "${S}" "${compat_build_dir}" || die
+			pushd "${compat_build_dir}" >/dev/null || die
+
+			local mycompatconf=(
+				"${myconf[@]}"
+				AR="$(tc-getAR) cqs"
+				CC="$(tc-getCC)"
+				CFLAGS="${CFLAGS}"
+				CFLAGS_RELEASE=
+				CXX="$(tc-getCXX)"
+				CXXFLAGS="${CXXFLAGS}"
+				CXXFLAGS_RELEASE=
+				LINK="$(tc-getCXX)"
+				LINK_SHLIB="$(tc-getCXX)"
+				LFLAGS="${LDFLAGS}"
+				LFLAGS_RELEASE=
+				RANLIB=
+				STRIP=
+			)
+			pyqt_run configure.py "${mycompatconf[@]}" || die
+
+			popd >/dev/null || die
+		fi
+
+		myconf+=(
+			--sip-incdir="$(python_get_includedir)"
+			$(usex dbus '' --no-python-dbus)
+		)
+		pyqt_run "${S}"/configure-ng.py "${myconf[@]}" || die
+
+		eqmake4 -recursive ${PN}.pro
+	}
+	python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+	python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+	installation() {
+		local tmp_root=${D%/}/tmp
+		emake INSTALL_ROOT="${tmp_root}" install
+
+		local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
+		if python_is_python3; then
+			rm -r "${uic_dir}"/port_v2 || die
+		else
+			rm -r "${uic_dir}"/port_v3 || die
+		fi
+
+		python_doexe "${tmp_root}${EPREFIX}"/usr/bin/pyuic4
+		rm "${tmp_root}${EPREFIX}"/usr/bin/pyuic4 || die
+
+		multibuild_merge_root "${tmp_root}" "${D}"
+
+		if use compat; then
+			local compat_build_dir=${BUILD_DIR%/}-compat
+			python_moduleinto ${PN}
+			python_domodule "${compat_build_dir}"/pyqtconfig.py
+		fi
+
+		python_optimize
+	}
+	python_foreach_impl run_in_build_dir installation
+
+	einstalldocs
+	use doc && dodoc -r doc/html
+
+	if use examples; then
+		insinto /usr/share/doc/${PF}
+		doins -r examples
+	fi
+}


             reply	other threads:[~2017-07-11 16:05 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-07-11 16:05 Davide Pesavento [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-05-10 14:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQt4/ Andreas Sturmlechner
2018-01-22 18:49 Davide Pesavento
2018-01-22 18:24 Markus Meier
2017-12-16 17:24 Tobias Klausmann
2017-11-30 20:19 Tobias Klausmann
2017-11-28 22:58 Sergei Trofimovich
2017-11-27  0:20 Thomas Deutschmann
2017-11-25 18:29 Sergei Trofimovich
2017-08-30 14:05 Michael Palimaka
2017-06-25 14:42 Alexis Ballier
2017-06-11  5:19 Davide Pesavento
2017-06-10 15:10 Agostino Sarubbo
2017-03-17 10:15 Agostino Sarubbo
2017-03-16 10:13 Michael Weber
2017-03-10 20:54 Zac Medico
2017-01-25  0:54 Davide Pesavento
2017-01-01 14:20 Michael Palimaka
2016-12-31  6:00 Andrey Grozin
2016-10-02 10:08 Jeroen Roovers
2016-08-05 17:15 Markus Meier
2016-07-29  5:43 Davide Pesavento
2016-07-13 21:22 Michael Palimaka
2016-07-10 16:00 Davide Pesavento
2016-06-11 11:32 Davide Pesavento
2016-05-09 23:29 Davide Pesavento
2016-04-29  1:29 Davide Pesavento
2016-04-23 22:36 Davide Pesavento
2015-10-19 16:29 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1499789105.0f4858de66263be36236969395fa1ce42c61288f.pesa@gentoo \
    --to=pesa@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox